/// <reference types="node" />
import ApiEmitter from "./ApiEmitter";
import FacebookHttpApi from "./FacebookHttpApi";
import MqttApi from "./mqtt/MqttApi";
import Session from "./types/Session";
import Thread from "./types/Thread";
import User from "./types/User";
import { Readable } from 'stream';
export interface FacebookApiOptions {
    selfListen?: boolean;
    session?: Session;
}
export default class FacebookApi {
    mqttApi: MqttApi;
    httpApi: FacebookHttpApi;
    emitter: ApiEmitter;
    session: Session | null;
    seqId: string;
    options: FacebookApiOptions;
    constructor(options?: FacebookApiOptions);
    on(event: any, callback: any): void;
    once(event: any, callback: any): void;
    doLogin(login: string, password: string): Promise<{}>;
    getSession(): Session;
    sendMessage: (threadId: number, message: string) => Promise<{}>;
    getThreadList: (count: number) => Promise<any>;
    sendAttachmentFile: (threadId: number, attachmentPath: string) => Promise<any>;
    sendAttachmentStream: (threadId: number, extension: string, attachment: Readable) => Promise<any>;
    getAttachmentURL: (messageId: string, attachmentId: string) => Promise<any>;
    getStickerURL: (stickerId: number) => Promise<any>;
    getThreadInfo: (threadId: number) => Promise<Thread>;
    getUserInfo: (userId: number) => Promise<User>;
    private parseUser;
    private parseThread;
    private createQueue;
    private connectQueue;
    private handleMS;
}
