"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * COntains all data used by custom facebook http logic.
 */
class FacebookApiHttpRequest {
    constructor(url, method, friendlyName, params) {
        this.url = url;
        this.method = method;
        this.friendlyName = friendlyName;
        this.params = params;
    }
    sortedKeys() {
        const keys = Object.keys(this.params);
        keys.sort();
        return keys;
    }
    serializeParams() {
        const data = this.sortedKeys()
            .map(k => encodeURIComponent(k) +
            "=" +
            encodeURIComponent(this.params[k]))
            .join("&");
        return data;
    }
}
exports.default = FacebookApiHttpRequest;
//# sourceMappingURL=FacebookApiHttpRequest.js.map