/// <reference types="node" />
import { FacebookMessageType } from "./messages/MessageTypes";
/**
 * Represents an outgoing message. This class allows to buffer different kinds of binary data so that messages can be assembled.
 */
export default class MqttMessage {
    toSend: Buffer;
    type: FacebookMessageType;
    flags: number;
    constructor();
    writeU16(data: number): void;
    writeU32(data: number): void;
    writeU8(data: number): void;
    writeString(strToAdd: string): void;
    writeRawString(strToAdd: string): void;
    writeRaw(raw: Buffer): void;
}
