/// <reference types="node" />
import { TBufferedTransport, TCompactProtocol } from "thrift";
/**
 * Wraps around the messy thrift API to provide an easy to use API for interacting with TCompactProtocol.
 */
export default class ThriftHelper {
    /**
     * Using this field you can serialize/deserialize data.
     * Please do not call flush on this field, because ThriftHelper does it when reading data.
     */
    proto: TCompactProtocol;
    /**
     * Internal buffer used by TCompactProtocol.
     */
    bufferedTransport: TBufferedTransport;
    /**
     * Writes data to be decoded by TCompactProtocol.
     * Must be called AFTER init has completed.
     */
    writeData: (d: Buffer) => void;
    readData(): Promise<Buffer>;
    init(): Promise<void>;
}
