"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const thrift_1 = require("thrift");
/**
 * Wraps around the messy thrift API to provide an easy to use API for interacting with TCompactProtocol.
 */
class ThriftHelper {
    readData() {
        return new Promise(res => {
            ;
            this.bufferedTransport.onFlush = data => {
                res(data);
                this.bufferedTransport.onFlush = null;
            };
            this.proto.flush();
        });
    }
    init() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            yield new Promise(res => {
                this.writeData = thrift_1.TBufferedTransport.receiver(trans => {
                    this.bufferedTransport = trans;
                    this.proto = new thrift_1.TCompactProtocol(trans);
                }, 0);
            });
        });
    }
}
exports.default = ThriftHelper;
//# sourceMappingURL=ThriftHelper.js.map