"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const MqttMessage_1 = tslib_1.__importDefault(require("../MqttMessage"));
const MqttTypes_1 = require("../MqttTypes");
const MessageTypes_1 = require("./MessageTypes");
/**
 * Assembles a subscribe message sent just after mqtt connection that subscribes to given topics.
 */
exports.encodeSubscribeMessage = (msgId) => {
    const topics = [
        "/inbox",
        "/messaging_events",
        "/t_ms",
        "/t_rtc",
        "/webrtc",
        "/webrtc_response"
    ];
    const message = new MqttMessage_1.default();
    message.writeU16(msgId);
    for (const topic of topics) {
        message.writeString(topic);
        message.writeU8(0);
    }
    message.flags = MqttTypes_1.MqttConnectFlag.QoS1;
    message.type = MessageTypes_1.FacebookMessageType.Subscribe;
    return message;
};
//# sourceMappingURL=Subscribe.js.map